package com.ruoyi.model.service;

import java.util.List;
import com.ruoyi.model.domain.ExamineConfig;

/**
 * 考核认证配置Service接口
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public interface IExamineConfigService 
{
    /**
     * 查询考核认证配置
     * 
     * @param id 考核认证配置主键
     * @return 考核认证配置
     */
    public ExamineConfig selectExamineConfigById(Long id);

    /**
     * 查询考核认证配置列表
     * 
     * @param examineConfig 考核认证配置
     * @return 考核认证配置集合
     */
    public List<ExamineConfig> selectExamineConfigList(ExamineConfig examineConfig);

    /**
     * 新增考核认证配置
     * 
     * @param examineConfig 考核认证配置
     * @return 结果
     */
    public int insertExamineConfig(ExamineConfig examineConfig);

    /**
     * 修改考核认证配置
     * 
     * @param examineConfig 考核认证配置
     * @return 结果
     */
    public int updateExamineConfig(ExamineConfig examineConfig);

    /**
     * 批量删除考核认证配置
     * 
     * @param ids 需要删除的考核认证配置主键集合
     * @return 结果
     */
    public int deleteExamineConfigByIds(Long[] ids);

    /**
     * 删除考核认证配置信息
     * 
     * @param id 考核认证配置主键
     * @return 结果
     */
    public int deleteExamineConfigById(Long id);

    /**
     * 删除考核认证配置信息
     *
     * @return 结果
     */
    public List<ExamineConfig> getExamineConfigList();
}
